Summary
Import Triggers
Description
Import Triggers.
Route
PUT /operations-manager/triggers
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| triggers |
array |
yes |
An array of exported Trigger documents. |
| options |
object |
yes |
Optional parameters. |
Copied to Clipboard
{
"triggers": [
{
"name": -28161199.614067957,
"type": 47673864.97256166,
"enabled": "aliquip irure pariatur",
"actionType": false,
"actionId": "ipsum",
"formData": 23125137.349201232,
"firstRunAt": "ex",
"processMissedRuns": "voluptate sunt exercitation deserunt",
"repeatUnit": -99045403.85415532,
"repeatFrequency": true,
"repeatInterval": -73511966.4630326,
"_id": true,
"formId": 30559856.608916596
},
{
"name": "myCoolDocumentName",
"type": "manual",
"enabled": true,
"actionType": "automations",
"actionId": "d15d06ebacd0fdbacbc2ef77",
"formData": {
"ip": "1.2.3.4",
"name": "myNewDevice"
},
"_id": "098e3ecbc19484a3ca27cd48",
"formId": null,
"description": "Some helpful information about the document",
"lastExecuted": 66841106,
"migrationVersion": -38104592,
"createdBy": "tempor anim in amet",
"created": "1979-11-28T18:02:19.774Z",
"lastUpdatedBy": "ea in nisi",
"lastUpdated": "1985-09-16T05:09:21.079Z",
"formSchemaHash": "nulla laboris ea",
"legacyWrapper": false
}
],
"options": {
"adapterMap": {
"old_name": "new_name"
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"triggers": {
"title": "triggers",
"type": "array",
"items": {
"title": "triggers",
"$ref": "trigger-json"
}
},
"options": {
"title": "options",
"type": "object",
"properties": {
"adapterMap": {
"type": "object",
"description": "A mapping of provenance names to be converted upon import, specified in \"old_name\": \"new_name\" format.",
"examples": [
{
"staging": "production"
},
{
"old_name": "new_name"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"triggers",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the import operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": [
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "4865502aca4cbd5c97afeceb",
"lastExecuted": null,
"migrationVersion": -33492870,
"createdBy": "Pronghorn",
"created": "1991-04-16T20:04:40.705Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1948-04-02T11:54:23.249Z",
"_id": "234970ad9c1bbb55c84b492e"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "c6c7d0f64eb133c9f0f1f0a8",
"lastExecuted": null,
"migrationVersion": 10038209,
"createdBy": "018f3d1b595e690bce1f073e",
"created": "2004-04-10T09:22:41.182Z",
"lastUpdatedBy": "5c038a153a44fdcb3492783a",
"lastUpdated": "1990-08-07T08:30:17.929Z",
"_id": "2c9d46d2663bbfc368183f04"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "d6d7cfbf040d3b1e095d8e27",
"lastExecuted": 8102847,
"migrationVersion": 23148745,
"createdBy": "Pronghorn",
"created": "2016-04-15T00:53:10.04Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1999-03-12T20:29:52.857Z",
"_id": "a2c50bdcaf5ff7273019ed49"
}
}
]
}